/* popup.css */
.popup {
    position: fixed;
    top: 10%;
    left: 50%;
    transform: translateX(-50%);
    background: rgb(51, 51, 51);
    border: 2px solid #333;
    color: white;
    border-radius: 10px;
    padding: 1em;
    width: 300px;
    box-shadow: 0 4px 12px rgba(0,0,0,0.3);
    z-index: 1000;
    display: none;
    font-family: sans-serif;
    max-width: 90vw;           /* Optional: bei langen Wörtern */
    width: fit-content;        /* macht die Box nur so breit wie nötig */
  }
  
  .dice-row {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin: 0.3em 0;
  }
  
  .dice-row label {
    flex: 1;
  }
  
  .dice-row .count {
    width: 30px;
    text-align: center;
  }
  
  div#dice-popup button, #done-btn {
    padding: 0.2em 0.5em;
    font-size: 1em;
    margin: 0 2px;
    cursor: pointer;
    background-color: rgb(39, 39, 39);
    border-color: rgb(58, 58, 58);
    color: white;
    border-radius: 10px;
    padding: 10px;
    border-style: solid;
    transition: background-color 0.3s, color 0.3s;
  }

  div#dice-popup button:hover, #done-btn:hover {
    background-color: rgb(58, 58, 58);
    color: white;
  }
  
  .buttons {
    margin-top: 1em;
    text-align: right;
  }
  
  input#modifiers {
    width: 100%;
    margin-top: 0.5em;
    padding: 5px;
    font-size: 1em;
    background-color: rgb(39, 39, 39);
    border-color: rgb(58, 58, 58);
    color: white;
    border-radius: 10px;
    border-style: solid;
    transition: background-color 0.3s;
    box-sizing: border-box; /* Padding und Border in der Breitenberechnung berücksichtigen */
  }
  input#modifiers:focus {
    outline: none;
    background-color: rgb(58, 58, 58);
  }
  input#modifiers:hover {
    background-color: rgb(49, 49, 49);
  }

  pre {
    font-size: 1.3rem;
    margin: 0 0.5em;
    white-space: pre-wrap; /* Um den Text umzubrechen */
    word-wrap: break-word; /* Um lange Wörter zu brechen */
    font-family: monospace; /* Für den Text */
    text-align: center;        /* Text im <pre> zentrieren */
  }

#test {font-weight: bold;}